Loading...
Searching...
No Matches
Dune::Functions::Concept::GridFunction< Range(Domain), EntitySet > Struct Template Reference
Functions » Function concepts

Concept for a grid function mapping `Domain` to `Range`. More...

`#include <dune/functions/common/functionconcepts.hh>`

Inheritance diagram for Dune::Functions::Concept::GridFunction< Range(Domain), EntitySet >:

## Public Types

using | LocalSignature = Range(typename EntitySet::LocalCoordinate)
using | LocalContext = typename EntitySet::Element

## Public Member Functions

template<class F>
auto | require (F &&f) -> decltype(localFunction(f), f.entitySet(), requireConcept< LocalFunction< LocalSignature, LocalContext > >(localFunction(f)), requireConcept< Concept::EntitySet, EntitySet >(), requireConvertible< EntitySet >(f.entitySet()), requireConvertible< typename EntitySet::GlobalCoordinate, Domain >())

## Detailed Description

template<class Range, class Domain, class EntitySet>
struct Dune::Functions::Concept::GridFunction< Range(Domain), EntitySet >

Concept for a grid function mapping `Domain` to `Range`.

Template Parameters

  Domain | Domain type
  Range | Range type
  EntitySet | Set of entities on which the function can be localized

## Member Typedef Documentation

## LocalContext

template<class Range, class Domain, class EntitySet>

using Dune::Functions::Concept::GridFunction< Range(Domain), EntitySet >::LocalContext = typename EntitySet::Element

## LocalSignature

template<class Range, class Domain, class EntitySet>

using Dune::Functions::Concept::GridFunction< Range(Domain), EntitySet >::LocalSignature = Range(typename EntitySet::LocalCoordinate)

## Member Function Documentation

## require()

template<class Range, class Domain, class EntitySet>
template<class F>

auto Dune::Functions::Concept::GridFunction< Range(Domain), EntitySet >::require | ( | F && | f | ) | ->decltype(localFunction(f), f.entitySet(), requireConcept< LocalFunction< LocalSignature, LocalContext > >(localFunction(f)), requireConcept< Concept::EntitySet, EntitySet >(), requireConvertible< EntitySet >(f.entitySet()), requireConvertible< typenameEntitySet::GlobalCoordinate, Domain >())

The documentation for this struct was generated from the following file:

- functionconcepts.hh